Subject: Re: High-E gas-fired furnace (more)

From: [email-masked] (John Mills)
Date: 28 Jul 1995 00:59:19 GMT

[email-masked] (Gallagher - Sean J.) wrote:
>
>I want to thank everyone who responded to the last thread on this 
>subject.  I researched the Rheem 90 + condensing gas-fired furnace.  It 

>is very impressive.  So I think I am going with that.  Anyone got a 
>complaint about Rheem/Rudd/Weather King, speak now or forever hold your 

>peace (or about high-E condensing furnaces).

I was wondering how you were coming with your research. Told the 
WeatherKing distributor about you yesterday. It is amazing how little 
they are. Great to install! I have one in the back room to go out next 
week, 120,000 BTU. A new employee asked what I was leaning on! Couldn't 
believe a 94% 8 burner furnace in that small box!

If someone has a negative view, clarify that they aren't talking about 
the old 90% gas DrUM furnace. That was a nightmare! Were recalled. That's 
why I think the new one is so good. Rheem didn't want a repeat!